%define _name xmms_sndfile

Name: xmms-sndfile
Version: 1.2
Release: alt1

Summary: Input plugin for XMMS to use libsndfile
Summary(ru_RU.KOI8-R):    XMMS,   libsndfile.
License: GPL
Group: Sound
Url: http://www.zipworld.com.au/~erikd/XMMS

Source: %url/%_name-%version.tar.gz

Patch: %_name-1.0pre6-opt.patch
Patch1: %_name-memleak.patch

%define libsndfile_ver 1.0.5

Requires: libsndfile >= %libsndfile_ver
BuildPreReq: libsndfile-devel >= %libsndfile_ver

# Automatically added by buildreq on Sat Jul 12 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel glibc-devel-static gtk+-devel libsndfile-devel libxmms-devel pkgconfig

%description
Xmms_sndfile is an input plugin for XMMS (X multimedia system) allowing
XMMS to read any file format supported by libsndfile.

%description -l ru_RU.KOI8-R
Xmms_sndfile -     XMMS (  ),
 XMMS     , 
 libsndfile.

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%prep
%setup -q -n %_name-%version
#%patch0 -p1
%patch1 -p1

%build
#%%__automake
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%files
%_xmms_input_plugin_dir/*.so
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Sat Jul 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2-alt1
- 1.2

* Sun May 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- 1.1 

* Thu Sep 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt4
- Rebuild with new libsndfile

* Wed Mar 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt3
- Rebuild with xmms-1.2.7
- Fixed "http" handling memory leak

* Fri Jun 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0pre6-alt2
- Rebuild with xmms-1.2.5
- Some spec cleanup

* Wed Apr 25 2001 Kostya Timoshenko <kt@altlinux.ru> 1.0pre6-alt1
- Build for ALT Linux

* Fri Jul 28 2000 Konstantin Volckov <goldhead@linux.ru.net>
  [xmms-sndfile-1.0pre6-1rus]
- Initial release.
